<template>
  <div>
    <el-popconfirm
        title="确定领取该客户吗？"
        @confirm="onReceive()">
      <el-button style="width:100%" slot="reference" block size="small" >领取</el-button>
    </el-popconfirm>
  </div>
</template>

<script>
export default {
  name: "receive",
  props:["id"],
  methods:{
    async onReceive(){
      const res = await this.$api.requested({
        "id": 20221014160202,
        "content": {
          "sa_customersid":this.id
        },
      })
      this.tool.showMessage(res,() => {
        this.$router.go(-1)
        this.$emit("onshow")
      })
    }
  }
}
</script>

<style scoped>

</style>